<#ibiztemplate>
TARGET=PSSYSSERVICEAPI
</#ibiztemplate>
<#assign httpPort = "8081">
<#if sysrun?? >
    <#if sysrun.getPSDevSlnMSDepAPI()??>
        <#if sysrun.getPSDevSlnMSDepAPI().getHttpPort()??>
        <#assign httpPort = sysrun.getPSDevSlnMSDepAPI().getHttpPort()?c>
        </#if>
    </#if>
</#if>

FROM openjdk:8-jre-alpine

ENV SPRING_OUTPUT_ANSI_ENABLED=ALWAYS \
    IBIZ_SLEEP=0 \
    JAVA_OPTS=""

CMD echo "The application will start in ${r'${IBIZ_SLEEP}'}s..." && \
    sleep ${r'${IBIZ_SLEEP}'} && \
    java ${r'${JAVA_OPTS}'} -Djava.security.egd=file:/dev/./urandom -jar /${pub.getCodeName()?lower_case}-provider-${api.getCodeName()?lower_case}.jar

EXPOSE ${httpPort}

ADD ${pub.getCodeName()?lower_case}-provider-${api.getCodeName()?lower_case}.jar /${pub.getCodeName()?lower_case}-provider-${api.getCodeName()?lower_case}.jar
